<!doctype html>
<html lang="it">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta property="og:image" content="https://rossellamascia.it/covid-19/thumbnail.jpg">
    <meta property="og:title" content="covid 19 dashboard">
    <meta property="og:description" content="Fetch dei dati dalla Protezione Civile, progetto interamente costruito con JavaScript Vanilla e Bootstrap 5.">
    <meta property="og:url" content="https://rossellamascia.it/covid-19/">
    <meta name="twitter:card" content="summary_large_image">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link
        href="https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/lykmapipo/themify-icons@0.1.2/css/themify-icons.css">
    <link rel="stylesheet" href="style.css">

    <title>Covid 19 Dashboard</title>
</head>

<body>
    <header class="masthead">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-12">
                    <h1 class="text-white mb-0">Covid 19 - Dashboard</h1>
                    <p class="small text-white mb-2 ">Fonte Protezione Civile</p>
                    <p id="data" class="text-white fs-5"></p>
                </div>
            </div>
        </div>
    </header>
    <div class="container margin-top-70">
        <div class="row">
            <div class="col-12 col-md-3 mb-4">
                <div class="card-custom rounded-3 d-flex flex-column h-100 bg-accent text-white"
                    data-trend="totale_casi">
                    <p class="ms-3 fs-4 mt-3 fw-light mb-0">Casi totali</p>
                    <p id="totalCases" class="fs-3 ms-3 pe-3 text-white fw-bolder"></p>
                    <hr class="text-white mt-0">
                    <p class="text-white ms-3">scopri di più</p>
                </div>
            </div>
            <div class="col-12 col-md-3 mb-4">
                <div class="card-custom rounded-3 d-flex flex-column h-100 bg-success text-white"
                    data-trend="dimessi_guariti">
                    <p class="ms-3 fs-4 mt-3 fw-light mb-0">Guariti totali</p>
                    <p id="totalRecovered" class="fs-3 ms-3 pe-3 text-white fw-bolder"></p>
                    <hr class="text-white mt-0">
                    <p class="text-white ms-3">scopri di più</p>
                </div>
            </div>
            <div class="col-12 col-md-3 mb-4">
                <div class="card-custom rounded-3 d-flex flex-column h-100 bg-danger text-white" data-trend="deceduti">
                    <p class="ms-3 fs-4 mt-3 fw-light mb-0">Morti totali</p>
                    <p id="totalDeath" class="fs-3 ms-3 pe-3 text-white fw-bolder"></p>
                    <hr class="text-white mt-0">
                    <p class="text-white ms-3">scopri di più</p>
                </div>
            </div>
            <div class="col-12 col-md-3 mb-4">
                <div class="card-custom rounded-3 d-flex flex-column h-100 bg-warning text-white"
                    data-trend="totale_positivi">
                    <p class="ms-3 fs-4 mt-3 fw-light mb-0">Nuovi casi</p>
                    <p id="totalPositive" class="fs-3 ms-3 pe-3 text-white fw-bolder"></p>
                    <hr class="text-white mt-0">
                    <p class="text-white ms-3">scopri di più</p>
                </div>
            </div>
        </div>
    </div>

    <div class="container mb-5">
        <div class="row px-3 pt-5">
            <div class="col-12">
                <h3 class="text-white bg-warning p-3 d-inline-block fw-normal rounded-top mb-0 fs-5">Nuovi positivi per
                    Regione</h3>
            </div>
        </div>
        <div class="row ">
            <div class="col-12 col-md-12 scroll-regioni bg-secondary rounded-3">
                <div id="cardWrapper" class="row p-3 justify-content-center">
                </div>
            </div>

        </div>
    </div>
    <div class="modal-custom">
      
            <div class="modal-custom-content modal-scroll-regioni rounded-3">
            </div>
       
    </div>
<!-- HTML to write -->
<a  data-bs-toggle="tooltip" title="Some tooltip text!">Hover over me</a>

<!-- Generated markup by the plugin -->
<div class="tooltip bs-tooltip-top" role="tooltip">
  <div class="tooltip-arrow"></div>
  <div class="tooltip-inner">
    Some tooltip text!
  </div>
</div>
    <footer class="container-fluid bg-secondary">
        <div class="row justify-content-center py-5 text-center align-items-center">
            <div class="col-12 col-md-1 mb-4 mb-md-0">
                <a href="https://www.linkedin.com/in/rossella-mascia-web-developer/" target="_black" class="icon-button linkedin"><i
                        class="ti-linkedin icon-linkedin"></i><span></span></a>
            </div>
            <div class="coal-12 col-md-1">
                <a href="https://github.com/rossellamascia/Covid-19-Dashboard" target="_black" class="icon-button github"><i
                        class="ti-github icon-github"></i><span></span></a>
            </div>
        </div>
        <div class="row bg-main">
            <div class="col-12 text-center my-3">
                <p class="text-white mb-0">© <span id="year"></span> <span class="fw-bold">Rossella Mascia</span></p>
            </div>
        </div>
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js" integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.min.js" integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj" crossorigin="anonymous"></script>
    <script src="script.js"></script>
</body>

</html>